export declare const Actions: {
    AdminUsers: {
        FullAccess: string;
        ReadUser: string;
        CreateUser: string;
        UpdateUser: string;
        ResetPassword: string;
        DeleteUser: string;
    };
    AdminRoles: {
        FullAccess: string;
        ReadRole: string;
        CreateRole: string;
        UpdateRole: string;
        DeleteRole: string;
    };
    AdminPolicies: {
        FullAccess: string;
        CreatePolicy: string;
        UpdatePolicy: string;
        ReadPolicy: string;
        DeletePolicy: string;
    };
};
export declare const Resources: {
    adminUsers: (data?: Record<string, any> | undefined) => any;
    adminPolicies: (data?: Record<string, any> | undefined) => any;
    adminRoles: (data?: Record<string, any> | undefined) => any;
};
