"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminPolicyDto = exports.PolicyStatementDto = exports.PolicyPrincipalDto = void 0;
const dto_1 = require("../../role/dto");
const dto_2 = require("../../../admin-user/dto");
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const types_1 = require("../types");
class PolicyPrincipalDto {
}
__decorate([
    (0, swagger_1.ApiProperty)({ required: true, type: String, isArray: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], PolicyPrincipalDto.prototype, "Service", void 0);
exports.PolicyPrincipalDto = PolicyPrincipalDto;
let PolicyStatementDto = class PolicyStatementDto {
};
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], PolicyStatementDto.prototype, "Sid", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, enum: types_1.Effect }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], PolicyStatementDto.prototype, "Effect", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: 'string',
        nullable: true,
        isArray: true,
    }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], PolicyStatementDto.prototype, "Action", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: 'string',
        nullable: true,
        isArray: true,
    }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], PolicyStatementDto.prototype, "NotAction", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: 'string',
        nullable: true,
        isArray: true,
    }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], PolicyStatementDto.prototype, "Resource", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: 'string',
        nullable: true,
        isArray: true,
    }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], PolicyStatementDto.prototype, "NotResource", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: () => PolicyPrincipalDto,
        nullable: true,
    }),
    (0, class_transformer_1.Type)(() => PolicyPrincipalDto),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], PolicyStatementDto.prototype, "Principal", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: () => PolicyPrincipalDto,
        nullable: true,
    }),
    (0, class_transformer_1.Type)(() => PolicyPrincipalDto),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], PolicyStatementDto.prototype, "NotPrincipal", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: Object, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], PolicyStatementDto.prototype, "Condition", void 0);
PolicyStatementDto = __decorate([
    (0, class_transformer_1.Expose)()
], PolicyStatementDto);
exports.PolicyStatementDto = PolicyStatementDto;
let AdminPolicyDto = class AdminPolicyDto {
};
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminPolicyDto.prototype, "id", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminPolicyDto.prototype, "name", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminPolicyDto.prototype, "version", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({
        type: () => PolicyStatementDto,
        required: true,
    }),
    (0, class_transformer_1.Type)(() => PolicyStatementDto),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Array)
], AdminPolicyDto.prototype, "statements", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'boolean', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Boolean)
], AdminPolicyDto.prototype, "isSystem", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: false, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminPolicyDto.prototype, "description", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminPolicyDto.prototype, "createdAt", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminPolicyDto.prototype, "updatedAt", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminPolicyDto.prototype, "createdById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminPolicyDto.prototype, "updatedById", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminPolicyDto.prototype, "createdByUsername", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: 'string', required: true, nullable: true }),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], AdminPolicyDto.prototype, "updatedByUsername", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: () => dto_1.AdminRoleDto, required: true, isArray: true }),
    (0, class_transformer_1.Expose)(),
    (0, class_transformer_1.Type)(() => dto_1.AdminRoleDto),
    __metadata("design:type", Array)
], AdminPolicyDto.prototype, "roles", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ type: () => dto_2.AdminUserDto, required: true, isArray: true }),
    (0, class_transformer_1.Expose)(),
    (0, class_transformer_1.Type)(() => dto_2.AdminUserDto),
    __metadata("design:type", Array)
], AdminPolicyDto.prototype, "users", void 0);
AdminPolicyDto = __decorate([
    (0, class_transformer_1.Expose)()
], AdminPolicyDto);
exports.AdminPolicyDto = AdminPolicyDto;
//# sourceMappingURL=admin-policy.dto.js.map