/// <reference types="express-serve-static-core" />
/// <reference types="passport" />
export interface CheckPolicyParams {
    action: string;
    resource: string;
    effect?: 'Allow' | 'Deny';
    getParamsFromRequest?: (request: Express.Request) => Record<string, string>;
}
export declare const ADMIN_CHECK_POLICIES_KEY = "amin_check_policy";
export declare const AdminCheckPolicies: (...evaluationParams: CheckPolicyParams[]) => import("@nestjs/common").CustomDecorator<string>;
