import { AdminRoleDto } from '@modules/admin-authorization/role/dto';
import { AdminUserDto } from '@modules/admin-user/dto';
import { Effect } from '../types';
export declare class PolicyPrincipalDto {
    readonly Service?: string[] | null;
}
export declare class PolicyStatementDto {
    readonly Sid: string | null;
    readonly Effect: Effect;
    readonly Action?: string[] | null;
    readonly NotAction?: string[] | null;
    readonly Resource?: string[] | null;
    readonly NotResource?: string[] | null;
    readonly Principal?: PolicyPrincipalDto | null;
    readonly NotPrincipal?: PolicyPrincipalDto | null;
    readonly Condition?: unknown;
}
export declare class AdminPolicyDto {
    readonly id: string;
    readonly name: string;
    readonly version: string;
    readonly statements: PolicyStatementDto[];
    readonly isSystem: boolean;
    readonly description: string;
    readonly createdAt: string;
    readonly updatedAt: string;
    readonly createdById: string | null;
    readonly updatedById: string | null;
    readonly createdByUsername: string | null;
    readonly updatedByUsername: string | null;
    readonly roles: AdminRoleDto[];
    readonly users: AdminUserDto[];
}
