"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminRoleUpdateNesteds = exports.AdminRoleCreateNesteds = exports.AdminRoleId = void 0;
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
let AdminRoleId = class AdminRoleId {
};
__decorate([
    (0, swagger_1.ApiProperty)({ required: true, type: String }),
    (0, class_validator_1.IsUUID)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], AdminRoleId.prototype, "id", void 0);
AdminRoleId = __decorate([
    (0, class_transformer_1.Expose)()
], AdminRoleId);
exports.AdminRoleId = AdminRoleId;
let AdminRoleCreateNesteds = class AdminRoleCreateNesteds {
};
__decorate([
    (0, swagger_1.ApiProperty)({ required: true, isArray: true, type: () => AdminRoleId }),
    (0, class_validator_1.ValidateNested)(),
    (0, class_validator_1.IsArray)(),
    (0, class_transformer_1.Type)(() => AdminRoleId),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Array)
], AdminRoleCreateNesteds.prototype, "connect", void 0);
AdminRoleCreateNesteds = __decorate([
    (0, class_transformer_1.Expose)()
], AdminRoleCreateNesteds);
exports.AdminRoleCreateNesteds = AdminRoleCreateNesteds;
let AdminRoleUpdateNesteds = class AdminRoleUpdateNesteds {
};
__decorate([
    (0, swagger_1.ApiProperty)({ required: true, isArray: true, type: () => AdminRoleId }),
    (0, class_validator_1.ValidateNested)(),
    (0, class_validator_1.IsArray)(),
    (0, class_transformer_1.Type)(() => AdminRoleId),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Array)
], AdminRoleUpdateNesteds.prototype, "set", void 0);
AdminRoleUpdateNesteds = __decorate([
    (0, class_transformer_1.Expose)()
], AdminRoleUpdateNesteds);
exports.AdminRoleUpdateNesteds = AdminRoleUpdateNesteds;
//# sourceMappingURL=admin-role-nested.input.js.map