"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateAdminRoleInput = void 0;
const admin_policy_nested_input_1 = require("../../policy/dto/admin-policy-nested.input");
const swagger_1 = require("@nestjs/swagger");
const class_transformer_1 = require("class-transformer");
const class_validator_1 = require("class-validator");
let CreateAdminRoleInput = class CreateAdminRoleInput {
};
__decorate([
    (0, swagger_1.ApiProperty)({ required: true, type: String }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], CreateAdminRoleInput.prototype, "name", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: true, type: String }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsNotEmpty)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", String)
], CreateAdminRoleInput.prototype, "code", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: false, type: String }),
    (0, class_validator_1.IsString)(),
    (0, class_validator_1.IsOptional)(),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", Object)
], CreateAdminRoleInput.prototype, "description", void 0);
__decorate([
    (0, swagger_1.ApiProperty)({ required: true, type: () => admin_policy_nested_input_1.AdminPolicyCreateNesteds }),
    (0, class_validator_1.ValidateNested)(),
    (0, class_transformer_1.Type)(() => admin_policy_nested_input_1.AdminPolicyCreateNesteds),
    (0, class_transformer_1.Expose)(),
    __metadata("design:type", admin_policy_nested_input_1.AdminPolicyCreateNesteds)
], CreateAdminRoleInput.prototype, "policies", void 0);
CreateAdminRoleInput = __decorate([
    (0, class_transformer_1.Expose)()
], CreateAdminRoleInput);
exports.CreateAdminRoleInput = CreateAdminRoleInput;
//# sourceMappingURL=create-admin-role.input.js.map